CVE-2017-14314

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Off-by-one error in the DrawImage function in magick/render.c in GraphicsMagick 1.3.26 allows remote attackers to cause a denial of service (DrawDashPolygon heap-based buffer over-read and application crash) via a crafted file.

References

http://hg.code.sf.net/p/graphicsmagick/code/rev/2835184bfb78

https://lists.debian.org/debian-lts-announce/2018/06/msg00009.html

https://sourceforge.net/p/graphicsmagick/bugs/448/

https://usn.ubuntu.com/4232-1/

https://www.debian.org/security/2018/dsa-4321

Details

Source: MITRE

Published: 2017-09-12

Updated: 2020-01-08

Type: CWE-125

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM

Tenable Plugins

View all (8 total)

IDNameProductFamilySeverity
132748Ubuntu 16.04 LTS : graphicsmagick vulnerabilities (USN-4232-1)NessusUbuntu Local Security Checks
high
118179Debian DSA-4321-1 : graphicsmagick - security updateNessusDebian Local Security Checks
critical
110727Debian DLA-1401-1 : graphicsmagick security updateNessusDebian Local Security Checks
critical
108935openSUSE Security Update : ImageMagick (openSUSE-2018-343)NessusSuSE Local Security Checks
critical
108877SUSE SLES11 Security Update : ImageMagick (SUSE-SU-2018:0880-1)NessusSuSE Local Security Checks
high
108824SUSE SLED12 / SLES12 Security Update : ImageMagick (SUSE-SU-2018:0857-1)NessusSuSE Local Security Checks
critical
108447openSUSE Security Update : GraphicsMagick (openSUSE-2018-283)NessusSuSE Local Security Checks
high
104336Debian DLA-1154-1 : graphicsmagick security updateNessusDebian Local Security Checks
high